﻿
/* BUILDER TODO:	Store the product name in the following variable, 
					e.g. Microsoft Office Word 2003
*/
var productName = "Microsoft Windows SharePoint Services 3.0";
	
/* BUILDER TODO:	Store the short version of the product name here, e.g. "Word" or "Vista"
					The short name will be used for the "Extending product" tab
*/ 
var shortName = "SharePoint 3 Inside Out";
	
/* BUILDER TODO:	Store the 13 digit version of the ISBN for the book in this variable.
					Include hyphens. e.g. "0-7356-2277-9";
*/ 
var ISBN = "978-0-7356-2323-1";


function SetSubheader(page)
{
	var subheaderText;
	switch(page)
	{
		case "Welcome":
			subheaderText= "Welcome to the Microsoft Windows SharePoint Services 3.0 Inside Out companion CD. Here you will find invaluable resources, including practice files product information and extensions to Microsoft Windows SharePoint Services 3.0 Inside Out.";
		break;
		
		case "Additional eBooks":
			subheaderText= "View and explore free eBooks defining computer terms and explaining features and enhancements of new products.";
		break;		
		
		case "Resources":
			subheaderText="Reference white papers, user assistance, and product support to help you use and troubleshoot the features of " + productName + " Inside Out.";
		break;
		
		case "Chapter Links":
			subheaderText="Links referenced in the book chapters are listed and described here for your quick reference.";
		break;
		/* BUILDER TODO:	If the editorial plan calls for any additional tabs, you need to 
							add a case to set the description for the new tab. 
							Uncomment the following case and replace the text that's all caps.
		*/
		/*
		case "ADDITIONALTABNAME":
			subheaderText="DESCRIPTION OF NEW TAB";
		break;
		*/
		default:
			//TODO: We might just want the current page to be the default, but I need to leave this in for now for testing.
			alert("A subheader with an invalid ID of " + page + " was encountered. This needs to be fixed before the book is released.");
	}
	var subheader = document.getElementById("subheader");
	subheader.innerText = subheaderText;
}
//code by ICC for fixing "Browse CD Content link"

function browseCD(){
try
	{
		
		
	  var fso = new ActiveXObject("Scripting.FileSystemObject");
  	  var coll = new Enumerator(fso.Drives);
	  for (; !coll.atEnd(); coll.moveNext())  {
		var x = coll.item();
		if (x.DriveType == 4 && x.IsReady){	
			var drv = x.DriveLetter + ":"
			var ws = new ActiveXObject("WScript.Shell");
			ws.Run("explorer " + drv);
			break;
			}

		}

	}
	catch(exc)
	{
		var msg = "An error occured while trying to use the Browse CD contents feature. You'll need to perform this task manually.";
		alert(msg);
		return;
	}

}
	
function SetTitle()
{
	newTitle = parent.productName + " - " + seriesTitle;
	document.title = newTitle;
}
		
function SetExtendingTab()
{
		
}

function OpenExternalLink(href)
{
	var properties = "status=yes, toolbar=yes, location=yes, menubar=yes, resizable=yes, scrollbars=yes, title=yes";
	window.open(href, "IOPupup", properties);
}
	
/*function explorer(dir)
{
	try
	{
		var ws = new ActiveXObject("WScript.Shell");
		ws.Run("explorer " + dir);
	}
	catch(exc)
	{
		var msg = "An error occured while trying to use the Browse CD contents feature. You'll need to perform this task manually.";
		alert(msg);
		return;
	}
}*/

		
function SearchEBookPDF(eBookName)
{
	// First try creating a WS object. They may not have the required priveleges.
	var ws, currentDir, searchPhrase, cmd, msg, textBox;
	try 
	{
		ws = new ActiveXObject("WScript.Shell");
	}
	catch(exc)
	{
		msg = "An error occurred while trying to automatically search the eBook. You can try to open the eBook and perform a manual search.";
		alert(msg);
		return;
	}
	
	currentDir = ws.CurrentDirectory;			
	textBox = document.getElementById("searchText");
	searchPhrase = textBox.value;					
	if (searchPhrase == "")
	{
		alert("Please enter a search phrase");
		return;
	}
	
	// First try opening with Acrobat. 
	cmd = 'Acrobat /A "search=' + searchPhrase + '"' + ' '  + currentDir + "\\eBook\\" + eBookName;
	try
	{
		ws.Run(cmd);
	}
	catch(exc)
	{
		// Now try opening with Acrobat Reader
		cmd = 'AcroRd32 /A "search=' + searchPhrase + '"' + ' '  + currentDir + "\\eBook\\" + eBookName;
		try
		{
			ws.Run(cmd);
		}
		catch(exc)
		{
			msg = "An error occurred while trying to automatically search the eBook. You can try to open the eBook and perform a manual search.";
			alert(msg);
		}
	}	
}
	
function SetInnerWindowSize(width, height) 
{
	// I think since we're using HTA, we'll end up using IE regardless of whether another browser is set as the default, 
	// but just in case, I've included the following block for other browsers. 
	if (window.innerHeight != null)
	{
		window.innerWidth = width;
		window.innerHeight = height;
	}
	else
	{
		// browser may be in compliance mode, in which case we'll use document.documentElement.clientWidth (& clientHeight)
		var innerWidth, innerHeight;
		if (document && document.documentElement && document.documentElement.clientWidth)
		{
			innerWidth = document.documentElement.clientWidth;
			innerHeight = document.documentElement.clientHeight;		
		}
		// otherwise, use document.body.innerWidth (& innerHeight)
		else if (document && document.body && document.body.clientHeight)
		{
			innerWidth = document.body.clientWidth;
			innerHeight = document.body.clientHeight;
		}
		else
		{
			return;
		}
		var widthDelta = width - innerWidth;
		var heightDelta = height - innerHeight;
		if (widthDelta > 5 || heightDelta > 5 || widthDelta < 0 || heightDelta < 0)
		{
			window.resizeBy(widthDelta, heightDelta);
			var newInnerWidth = document.documentElement.clientWidth;
			var newInnerHeight = document.documentElement.clientHeight;
		}
	}
}
		
function SetTitle()
{
	newTitle = parent.productName + " - " + "Inside Out";
	document.title = newTitle;
}

function FP_swapImg() 
{
	var doc=document;
	var args=arguments;
	var elm, n;
		
	doc.$imgSwaps=new Array(); 
	for(n=2; n<args.length; n+=2) 
	{ 
		elm=FP_getObjectByID(args[n]);
		if(elm) {
			doc.$imgSwaps[doc.$imgSwaps.length]=elm; 
			elm.$src=elm.src; 
			elm.src=args[n+1]; 
		} 
	}
}
	
function FP_preloadImgs()
{
	var d=document;
	var a=arguments; 
	if(!d.FP_imgs) 
		d.FP_imgs=new Array();
	for(var i=0; i<a.length; i++) 
	{ 
		d.FP_imgs[i]=new Image; 
		d.FP_imgs[i].src=a[i]; 
	}
}
	
function FP_getObjectByID(id, o) {
	var c, el, els, f, m, n; 
	if(!o)
		o=document; 
	if(o.getElementById) 
		el=o.getElementById(id);
	else if(o.layers) 
		c=o.layers; 
	else if(o.all) 
		el=o.all[id]; 
	if(el) 
		return el;
 	if(o.id==id || o.name==id) 
 		return o; 
 	if(o.childNodes)
 		c=o.childNodes; 
 	if(c)
 	{
 		for(n=0; n<c.length; n++) 
 		{ 
 			el=FP_getObjectByID(id,c[n]);
 			if(el) 
 				return el; 
 		}
 	}
	f=o.forms; 
	if(f)
	{ 
		for(n=0; n<f.length; n++) 
		{ 
			els=f[n].elements; 
			for(m=0; m<els.length; m++)
			{ 
				el=FP_getObjectByID(id,els[n]);
				if(el) return el; 
			} 
		}
	}
	return null;
}
